searchData={"items":[{"type":"module","title":"Accordion","doc":"A simple accordion component for dynamically displaying collapsible content panels.","ref":"Accordion.html"},{"type":"module","title":"Example Usage - Accordion","doc":"Here is a basic example of setting up an accordion with two items:\n\n```elixir\n \n   \n     \n      Accordion Item 1\n     \n     \n       \n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam nec purus nec nunc.\n       \n     \n   \n   \n     \n      Accordion Item 2\n     \n     \n       \n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam nec purus nec nunc.\n       \n     \n   \n \n```\n\nThis structure allows you to toggle visibility of each content panel, providing a streamlined user experience.","ref":"Accordion.html#module-example-usage"},{"type":"function","title":"Accordion.content/1","doc":"","ref":"Accordion.html#content/1"},{"type":"function","title":"Attributes - Accordion.content/1","doc":"* `active` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Accordion.html#content/1-attributes"},{"type":"function","title":"Slots - Accordion.content/1","doc":"* `inner_block` (required)","ref":"Accordion.html#content/1-slots"},{"type":"function","title":"Accordion.item/1","doc":"","ref":"Accordion.html#item/1"},{"type":"function","title":"Attributes - Accordion.item/1","doc":"* `id` (`:string`) (required)\n* `active` (`:boolean`) - Defaults to `false`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Accordion.html#item/1-attributes"},{"type":"function","title":"Slots - Accordion.item/1","doc":"* `inner_block` (required)","ref":"Accordion.html#item/1-slots"},{"type":"function","title":"Accordion.root/1","doc":"","ref":"Accordion.html#root/1"},{"type":"function","title":"Attributes - Accordion.root/1","doc":"* `multiple` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Accordion.html#root/1-attributes"},{"type":"function","title":"Slots - Accordion.root/1","doc":"* `inner_block` (required)","ref":"Accordion.html#root/1-slots"},{"type":"function","title":"Accordion.trigger/1","doc":"","ref":"Accordion.html#trigger/1"},{"type":"function","title":"Attributes - Accordion.trigger/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Accordion.html#trigger/1-attributes"},{"type":"function","title":"Slots - Accordion.trigger/1","doc":"* `inner_block` (required)","ref":"Accordion.html#trigger/1-slots"},{"type":"module","title":"Alert","doc":"A simple alert component.","ref":"Alert.html"},{"type":"function","title":"Alert.description/1","doc":"","ref":"Alert.html#description/1"},{"type":"function","title":"Attributes - Alert.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Alert.html#description/1-attributes"},{"type":"function","title":"Slots - Alert.description/1","doc":"* `inner_block` (required)","ref":"Alert.html#description/1-slots"},{"type":"function","title":"Alert.root/1","doc":"","ref":"Alert.html#root/1"},{"type":"function","title":"Attributes - Alert.root/1","doc":"* `cva_class` (`:string`) - Defaults to `nil`.\n* `variant` (`:string`) - Defaults to `\"default\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Alert.html#root/1-attributes"},{"type":"function","title":"Slots - Alert.root/1","doc":"* `inner_block` (required)","ref":"Alert.html#root/1-slots"},{"type":"function","title":"Alert.title/1","doc":"","ref":"Alert.html#title/1"},{"type":"function","title":"Attributes - Alert.title/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Alert.html#title/1-attributes"},{"type":"function","title":"Slots - Alert.title/1","doc":"* `inner_block` (required)","ref":"Alert.html#title/1-slots"},{"type":"module","title":"AlertDialog","doc":"A simple alert dialog component.","ref":"AlertDialog.html"},{"type":"function","title":"AlertDialog.action/1","doc":"","ref":"AlertDialog.html#action/1"},{"type":"function","title":"Attributes - AlertDialog.action/1","doc":"* `variant` (`:string`) - Defaults to `\"default\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#action/1-attributes"},{"type":"function","title":"Slots - AlertDialog.action/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#action/1-slots"},{"type":"function","title":"AlertDialog.cancel/1","doc":"","ref":"AlertDialog.html#cancel/1"},{"type":"function","title":"Attributes - AlertDialog.cancel/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#cancel/1-attributes"},{"type":"function","title":"Slots - AlertDialog.cancel/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#cancel/1-slots"},{"type":"function","title":"AlertDialog.content/1","doc":"","ref":"AlertDialog.html#content/1"},{"type":"function","title":"Attributes - AlertDialog.content/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#content/1-attributes"},{"type":"function","title":"Slots - AlertDialog.content/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#content/1-slots"},{"type":"function","title":"AlertDialog.description/1","doc":"","ref":"AlertDialog.html#description/1"},{"type":"function","title":"Attributes - AlertDialog.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#description/1-attributes"},{"type":"function","title":"Slots - AlertDialog.description/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#description/1-slots"},{"type":"function","title":"AlertDialog.footer/1","doc":"","ref":"AlertDialog.html#footer/1"},{"type":"function","title":"Attributes - AlertDialog.footer/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#footer/1-attributes"},{"type":"function","title":"Slots - AlertDialog.footer/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#footer/1-slots"},{"type":"function","title":"AlertDialog.header/1","doc":"","ref":"AlertDialog.html#header/1"},{"type":"function","title":"Attributes - AlertDialog.header/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#header/1-attributes"},{"type":"function","title":"Slots - AlertDialog.header/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#header/1-slots"},{"type":"function","title":"AlertDialog.overlay/1","doc":"","ref":"AlertDialog.html#overlay/1"},{"type":"function","title":"Attributes - AlertDialog.overlay/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#overlay/1-attributes"},{"type":"function","title":"AlertDialog.portal/1","doc":"","ref":"AlertDialog.html#portal/1"},{"type":"function","title":"Attributes - AlertDialog.portal/1","doc":"* `id` (`:string`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#portal/1-attributes"},{"type":"function","title":"Slots - AlertDialog.portal/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#portal/1-slots"},{"type":"function","title":"AlertDialog.root/1","doc":"Renders an alert dialog","ref":"AlertDialog.html#root/1"},{"type":"function","title":"Examples - AlertDialog.root/1","doc":"<.dialog :let={\n    %{\n      root: root,\n      trigger: trigger,\n      backdrop: backdrop,\n      content: content,\n      title: title,\n      description: description,\n      actions: actions\n    }\n  }>\n    <.trigger trigger={trigger}>Open</.trigger>\n    <.content root={root} backdrop={backdrop} content={content}>\n      <.header>\n        <.title title={title}>Are you absolutely sure?</.title>\n        <.description description={description}>\n          This action cannot be undone. This will permanently delete your account\n          and remove your data from our servers.\n        </.description>\n      </.header>\n      <.footer>\n        <.cancel actions={actions}>Cancel</.cancel>\n        <.action>Continue</.action>\n      </.footer>\n    </.content>\n  </.dialog>","ref":"AlertDialog.html#root/1-examples"},{"type":"function","title":"Attributes - AlertDialog.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#root/1-attributes"},{"type":"function","title":"Slots - AlertDialog.root/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#root/1-slots"},{"type":"function","title":"AlertDialog.title/1","doc":"","ref":"AlertDialog.html#title/1"},{"type":"function","title":"Attributes - AlertDialog.title/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#title/1-attributes"},{"type":"function","title":"Slots - AlertDialog.title/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#title/1-slots"},{"type":"function","title":"AlertDialog.trigger/1","doc":"","ref":"AlertDialog.html#trigger/1"},{"type":"function","title":"Attributes - AlertDialog.trigger/1","doc":"* `trigger` (`:string`) (required)\n* `variant` (`:string`) - Defaults to `\"default\"`.\n* `size` (`:string`) - Defaults to `\"default\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"AlertDialog.html#trigger/1-attributes"},{"type":"function","title":"Slots - AlertDialog.trigger/1","doc":"* `inner_block` (required)","ref":"AlertDialog.html#trigger/1-slots"},{"type":"module","title":"Badge","doc":"A simple badge component.","ref":"Badge.html"},{"type":"function","title":"Badge.root/1","doc":"","ref":"Badge.html#root/1"},{"type":"function","title":"Attributes - Badge.root/1","doc":"* `cva_class` (`:string`) - Defaults to `nil`.\n* `variant` (`:string`) - Defaults to `\"default\"`.\n* `as` (`:string`) - Defaults to `\"span\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Badge.html#root/1-attributes"},{"type":"function","title":"Slots - Badge.root/1","doc":"* `inner_block` (required)","ref":"Badge.html#root/1-slots"},{"type":"module","title":"Button","doc":"A simple button component.","ref":"Button.html"},{"type":"function","title":"Button.button_cva/1","doc":"","ref":"Button.html#button_cva/1"},{"type":"function","title":"Button.get_button_size/0","doc":"","ref":"Button.html#get_button_size/0"},{"type":"function","title":"Button.get_button_variant/0","doc":"","ref":"Button.html#get_button_variant/0"},{"type":"function","title":"Button.root/1","doc":"","ref":"Button.html#root/1"},{"type":"function","title":"Attributes - Button.root/1","doc":"* `variant` (`:string`) - Defaults to `\"default\"`.\n* `size` (`:string`) - Defaults to `\"default\"`.\n* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:any`) - Defaults to `nil`.\n* `as` (`:string`) - Defaults to `\"button\"`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"Button.html#root/1-attributes"},{"type":"function","title":"Slots - Button.root/1","doc":"* `inner_block` (required)","ref":"Button.html#root/1-slots"},{"type":"module","title":"Card","doc":"A simple card component.","ref":"Card.html"},{"type":"function","title":"Card.content/1","doc":"","ref":"Card.html#content/1"},{"type":"function","title":"Attributes - Card.content/1","doc":"* `no_header` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Card.html#content/1-attributes"},{"type":"function","title":"Slots - Card.content/1","doc":"* `inner_block` (required)","ref":"Card.html#content/1-slots"},{"type":"function","title":"Card.description/1","doc":"","ref":"Card.html#description/1"},{"type":"function","title":"Attributes - Card.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Card.html#description/1-attributes"},{"type":"function","title":"Slots - Card.description/1","doc":"* `inner_block` (required)","ref":"Card.html#description/1-slots"},{"type":"function","title":"Card.footer/1","doc":"","ref":"Card.html#footer/1"},{"type":"function","title":"Attributes - Card.footer/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Card.html#footer/1-attributes"},{"type":"function","title":"Slots - Card.footer/1","doc":"* `inner_block` (required)","ref":"Card.html#footer/1-slots"},{"type":"function","title":"Card.header/1","doc":"","ref":"Card.html#header/1"},{"type":"function","title":"Attributes - Card.header/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Card.html#header/1-attributes"},{"type":"function","title":"Slots - Card.header/1","doc":"* `inner_block` (required)","ref":"Card.html#header/1-slots"},{"type":"function","title":"Card.root/1","doc":"","ref":"Card.html#root/1"},{"type":"function","title":"Attributes - Card.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Card.html#root/1-attributes"},{"type":"function","title":"Slots - Card.root/1","doc":"* `inner_block` (required)","ref":"Card.html#root/1-slots"},{"type":"function","title":"Card.title/1","doc":"","ref":"Card.html#title/1"},{"type":"function","title":"Attributes - Card.title/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Card.html#title/1-attributes"},{"type":"function","title":"Slots - Card.title/1","doc":"* `inner_block` (required)","ref":"Card.html#title/1-slots"},{"type":"module","title":"Error","doc":"A simple error component.","ref":"Error.html"},{"type":"function","title":"Error.root/1","doc":"","ref":"Error.html#root/1"},{"type":"function","title":"Slots - Error.root/1","doc":"* `inner_block` (required)","ref":"Error.html#root/1-slots"},{"type":"module","title":"Input","doc":"A simple input component.","ref":"Input.html"},{"type":"function","title":"Input.root/1","doc":"","ref":"Input.html#root/1"},{"type":"function","title":"Attributes - Input.root/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"Input.html#root/1-attributes"},{"type":"function","title":"Slots - Input.root/1","doc":"* `inner_block`","ref":"Input.html#root/1-slots"},{"type":"function","title":"Input.translate_error/1","doc":"","ref":"Input.html#translate_error/1"},{"type":"function","title":"Input.translate_errors/2","doc":"","ref":"Input.html#translate_errors/2"},{"type":"module","title":"Label","doc":"A simple label component.","ref":"Label.html"},{"type":"function","title":"Label.root/1","doc":"","ref":"Label.html#root/1"},{"type":"function","title":"Attributes - Label.root/1","doc":"* `for` (`:string`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"for\"]`.","ref":"Label.html#root/1-attributes"},{"type":"function","title":"Slots - Label.root/1","doc":"* `inner_block` (required)","ref":"Label.html#root/1-slots"},{"type":"module","title":"LiveViewUI","doc":"Provides utility functions for handling UI elements within LiveView components.","ref":"LiveViewUI.html"},{"type":"function","title":"LiveViewUI.cn/1","doc":"Converts a list of CSS class names into a single string with unique classes only.","ref":"LiveViewUI.html#cn/1"},{"type":"function","title":"Parameters - LiveViewUI.cn/1","doc":"- `classes`: A list of strings representing CSS class names, potentially with duplicates.","ref":"LiveViewUI.html#cn/1-parameters"},{"type":"function","title":"Examples - LiveViewUI.cn/1","doc":"iex> LiveViewUI.cn([\"button\", \"active\", \"button\"])\n    \"active button\"","ref":"LiveViewUI.html#cn/1-examples"},{"type":"function","title":"Returns - LiveViewUI.cn/1","doc":"- A string containing unique class names, sorted and joined by spaces.","ref":"LiveViewUI.html#cn/1-returns"},{"type":"function","title":"LiveViewUI.unique_id/0","doc":"Generates a unique identifier for a LiveView component.","ref":"LiveViewUI.html#unique_id/0"},{"type":"function","title":"Examples - LiveViewUI.unique_id/0","doc":"# Example of a typical unique identifier output\n    iex> id = LiveViewUI.unique_id()\n    iex> String.starts_with?(id, \"LV\")\n    true\n    iex> byte_size(id)\n    6","ref":"LiveViewUI.html#unique_id/0-examples"},{"type":"function","title":"Returns - LiveViewUI.unique_id/0","doc":"- A string starting with \"LV\" followed by a unique alphanumeric sequence.","ref":"LiveViewUI.html#unique_id/0-returns"},{"type":"module","title":"ThemeSwitcher","doc":"A module that provides a way to switch between dark mode and light mode.","ref":"ThemeSwitcher.html"},{"type":"function","title":"ThemeSwitcher.root/1","doc":"","ref":"ThemeSwitcher.html#root/1"},{"type":"extras","title":"LiveViewUI","doc":"# LiveViewUI\n\nAdd free, easy-to-customize components to your LiveView apps. Start building your LiveView component library today!\n\n  ⚠️ WARNING:  This package is still in early development. Please do not use it for production or active projects. Contributions are welcome to help make it more stable!","ref":"readme.html"},{"type":"extras","title":"Installation - LiveViewUI","doc":"","ref":"readme.html#installation"},{"type":"extras","title":"Prerequisites - LiveViewUI","doc":"Make sure you have tailwindcss installed in your phoenix app.","ref":"readme.html#prerequisites"},{"type":"extras","title":"Step 1: Add the Dependency - LiveViewUI","doc":"Open your Phoenix project and add `live_view_ui` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:live_view_ui, \"~> 0.0.1\"}, # <-- Add this line\n  ]\nend\n```\n\nRun `mix deps.get` to fetch and install the dependencies.","ref":"readme.html#step-1-add-the-dependency"},{"type":"extras","title":"Step 2: Setup - LiveViewUI","doc":"Run the following mix command to copy and install the necessary assets:\n\n```bash\nmix lvui.setup\n```\n\n# Usage\n\nRefer to the [shadcn/ui Themes](https://ui.shadcn.com/themes) to customize the colors to your liking.\n\n# Acknowledgements\n\nThis project is inspired by [shadcn/ui](https://ui.shadcn.com/). Thank you for the amazing work you do!\n\nThank you to [preline](https://preline.co/) for their amazing work on the plugins and components that make this library possible.","ref":"readme.html#step-2-setup"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}